<?php
/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

require_once './common_init.php';
require_once './data/config_upload.php';
$title = '上传';
require_once './mo_head.php';
$menu = empty($_POST['menu']) ? '' : $_POST['menu'];
if ($menu == 'upload') {
    $maxSize = $cfg_maxSize;
    $upType = $cfg_upType;
    for ($i = 0; $i < 1; $i++) {
        if ($_FILES['userfile']['error'] == 1) {
            $fileUrl = '文件太大，请不要超过' . get_cfg_var("upload_max_filesize") . '！';
            break;
        }
        if ($_FILES['userfile']['size'] > $maxSize * 1024 * 1024) {
            $fileUrl = '文件太大，请不要超过' . $maxSize . 'M！';
            break;
        }
        if ($_FILES['userfile']['error']) {
            $fileUrl = '上传文件错误，错误代码：' . $_FILES['userfile']['error'];
            break;
        }
        $filename = basename($_FILES['userfile']['name']);
        $exts = explode('.', $filename);
        $end = count($exts) - 1;
        $fileExt = '.' . strtolower($exts[$end]);
        $accExt = explode('|', $upType);
        if (!in_array($fileExt, $accExt)) {
            $fileUrl = '文件类型错误！';
            break;
        }
        if ($_FILES['userfile']['error'] == 0 && is_uploaded_file($_FILES['userfile']['tmp_name'])) {
            $uploadDir = ROOT_DIR . $cfg_upload . '/';
            if (!file_exists($uploadDir)) {
                mkdir($uploadDir, 0755, true) or die('上传文件夹创建失败！');
            }
            $upName = date("YmdHis", time()) . $fileExt;
            $uploadFile = $uploadDir . $upName;
            move_uploaded_file($_FILES['userfile']['tmp_name'], $uploadFile) or die('上传失败！');
        }
        $fileSize = filesize($uploadFile);
        $imgSize = getimagesize($uploadFile);
        $fileUrl = $cfg_amsUrl . '/' . $cfg_upload . '/' . $upName;
    }
    $query = "INSERT INTO `${cfg_dbprefix}upload` (filename,type,size,width,height,admin_id,lb_id) VALUES ('${upName}','${fileExt}','${fileSize}','${imgSize[0]}','${imgSize[1]}','${adminID}','${adminLBID}');";
    $nxsql->query($query);
    $nxsql->errno && die('更新数据库发生错误： (' . $nxsql->errno . ') ' . $nxsql->error);
    $nxsql->inLog($title . $upName);
    $fileSize = empty($fileSize) ? '' : $fileSize;
    $imgSize = empty($imgSize) ? array('', '') : $imgSize;
    ?>
    <script>
        $(function () {
    <?php
    if (!strpos($fileUrl, '.swf')) {
        echo '$("#imgUrl", window.parent.document).val("' . $fileUrl . '");';
        echo '$("#imgW", window.parent.document).val("' . $imgSize[0] . '");';
        echo '$("#imgH", window.parent.document).val("' . $imgSize[1] . '");';
    } else {
        echo '$("#fileUrl", window.parent.document).val("' . $fileUrl . '");';
        echo '$("#flashW", window.parent.document).val("' . $imgSize[0] . '");';
        echo '$("#flashH", window.parent.document).val("' . $imgSize[1] . '");';
    }
    ?>
        });
    </script>
    <?php
}
?>
<style>
    #uploadDiv{
        width: 92%;
        padding-top: .2em;
        padding-bottom: 200px;
    }
    #userFile{
        width: 100%;
    }
</style>
<script>
    $(function () {
        $("#userFile").change(function () {
            if ($(this).val()) {
                $("form").submit();
            }
        });
    });
</script>
<div id="uploadDiv">
    <form enctype="multipart/form-data" method="POST">
        <input type="hidden" name="menu" value="upload">
        <input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $cfg_maxSize * 1024 * 1024 ?>">
        <input id="userFile" class="button" name="userfile" type="file">
    </form>
</div>
<?php
require './mo_foot.php';
